Summary:	An implementation of the Scheme programming language
Name:		umb-scheme
Version:	3.2
Release:	16mdk
License:	GPL
Group:		Development/Other

Source:		ftp://ftp.cs.umb.edu/pub/scheme/umb-scheme-3.2.tar.bz2
Patch0:		umb-scheme-3.2-misc.patch.bz2
Patch1:		umb-scheme-3.2-texinfo.patch.bz2
Patch2:		umb-scheme-3.2-config.patch.bz2
Patch3:		umb-scheme-3.2-man.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	texinfo

%description
UMB Scheme is a public domain implementation of the Scheme programming
language.  Scheme is a statically scoped and properly tail-recursive
dialect of the Lisp programming language, designed with clear and
simple semantics and a minimal number of ways to form expressions.

Install the umb-scheme package if you need an implementation of the
Scheme programming language.

%prep

%setup -q -n scheme-3.2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%make
makeinfo scheme.texinfo

%install
install -d %buildroot/%_bindir
install -d %buildroot/%_datadir
install -d %buildroot/%_infodir
install -d %buildroot/%_libdir/umb-scheme
install -d %buildroot/%_mandir/man1

install -s -m755 scheme %buildroot/%_bindir/umb-scheme
install -m755 scheme.1 %buildroot/%_mandir/man1/umb-scheme.1

cp -r slib %buildroot/%_libdir/umb-scheme
install -m644 prelude.scheme %buildroot/%_libdir/umb-scheme
install -m644 SLIB-for-umb-scheme.init %buildroot/%_libdir/umb-scheme

install -m644 scheme.info %buildroot/%_infodir/umb-scheme.info

%clean
rm -fr %buildroot

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc slib/ANNOUNCE slib/FAQ slib/README
%_libdir/umb-scheme
%_bindir/umb-scheme
%_mandir/man1//umb-scheme.1.bz2
%_infodir/umb-scheme.info.bz2

%changelog
* Tue Jan 16 2001 David BAUDENS <baudens@mandrakesoft.com> 3.2-16mdk
- Fix %%post and %%preun - Thanks to Quel Qun

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 3.2-15mdk
- BuildRequires: texinfo
- Spec clean up

* Wed Aug 23 2000  Etienne Faure <etienne@mandrakesoft.com> 3.2-14mdk
- rebuild using _docdir and _mandir macros

* Tue Mar 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 3.2-13mdk
- Changed group, packager

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip man/info's 

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adatations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
